API Reference

Overview

Add Schedule Items

Adds one or more screenshot items to an existing schedule. Use this to expand coverage of a schedule without recreating it.

Endpoint

POSThttps://snapshot-api.mindiqglobal.com/api/v1/schedules/{scheduleId}/items

Path Parameters

NameRequiredTypeDescription
scheduleIdYesintegerSchedule ID.

Request Body

[
  {
    "url": "https://example.com/pricing",
    "width": 1440,
    "height": 900,
    "fullPage": true,
    "format": "png"
  }
]

Request Body Parameters

FieldRequiredTypeDescription
[]YesarrayArray of schedule items to add.
[].urlYesstringTarget URL (http:// or https://).
[].widthNointegerViewport width. Expected positive integer (for example, 1280, 1920).
[].heightNointegerViewport height. Expected positive integer (for example, 720, 1080).
[].fullPageNobooleanCapture full page. Possible values: true, false.
[].formatNoenumImage format. Possible values: png, jpeg.

Success Response

[
  {
    "id": 45,
    "url": "https://example.com/pricing",
    "width": 1440,
    "height": 900,
    "fullPage": true,
    "format": "png",
    "createdAt": "2026-08-06T12:00:00Z",
    "updatedAt": "2026-08-06T12:00:00Z"
  }
]

Response Body Parameters

NameTypeDescription
[]arrayAdded schedule items.
[].idintegerSchedule item ID.
[].urlstringTarget URL.
[].widthinteger | nullViewport width.
[].heightinteger | nullViewport height.
[].fullPagebooleanFull page flag. Possible values: true, false.
[].formatenumPossible values: png, jpeg.
[].createdAtdatetimeItem creation datetime in ISO-8601 format.
[].updatedAtdatetimeItem update datetime in ISO-8601 format.